#include "PilaInt.hpp"


//Constructoras

/* crea una pila buida*/
PilaInt::PilaInt(){
  elems=vector<int>(MAX_SIZE);
  cur = 0;
}

/* crea una pila copia d'original*/
PilaInt::PilaInt(const PilaInt& original){
  cur=original.cur;
  elems=vector<int>(original.elems);
//elems=vector<int>(MAX_SIZE);
//for (int i=0; i<cur; ++i) elems[i] = original.elems[i];
}

//Destructora
PilaInt::~PilaInt(){}

//Modificadores 

void PilaInt::push(const int &elemento) {
  elems[cur]=elemento;
  ++cur;
}
/* afegeix l'element x a la pila */

/* la pila no és buida */
void PilaInt::pop(){
  --cur;
}
/* elimina l'últim element afegit a la pila */


//Cosultores 

/* la pila no és buida */
int PilaInt::top() const {
  return elems[cur-1];
}
/* retorna l'últim element afegit a la pila*/


bool PilaInt::empty() const {
  return (cur==0);
}
/* ens retorna si la pila és buida o no */

int PilaInt::size() const {
  return cur;
}
/* ens retorna la mida de la pila */
