#ifndef PILAINT_HPP
#define PILAINT_HPP

using namespace std;

#include <vector>

class PilaInt {

public:

  //Constructoras

  /* crea una pila buida*/
  PilaInt();

  /* crea una pila copia d'original*/
  PilaInt(const PilaInt& original);

  //Destructora
  ~PilaInt();

  //Modificadores 

  void push(const int &elemento);
  /* afegeix l'element x a la pila */


  /* la pila no és buida */
  void pop();
  /* elimina l'últim element afegit a la pila */

  //Cosultores 

  /* la pila no és buida */
  int top() const;
  /* retorna l'últim element afegit a la pila*/


  bool empty() const;
  /* ens retorna si la pila és buida o no */

  int size() const;
  /* ens retorna la mida de la pila */

private:

  static const int MAX_SIZE = 1000;
  int cur; 
  vector<int> elems;

};

#endif
